
OpenSCAP - Bug #16490

API lacks ability to modify/specify hostgroup openscap capsule via API or hammer cli

09/08/2016 08:30 AM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category:    

Target version: foreman_openscap 0.7.6   

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1374285 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman_

openscap/pull/282

  

Description

How reproducible:

Every time

Steps to Reproduce:

1. hammer hostgroup create --help | grep scap (no option for scap

2. Via Foreman/Katello/Satellite API docs, no reference to set openscap capsule for hostgroup

Actual results:

None

Expected results:

Should be able to configure the openscap capsule for a hostgroup via hammer cli or API requests

Additional info:

Reproducible with nightlies too, we need to extend APIPIE paramgroup.

Related issues:

Related to Foreman - Feature #3763: Ability for engine/plugin to extend RABL ... Closed 11/26/2013

Related to Foreman - Feature #16630: Need a way to extend existing apipie spe... Closed 09/21/2016

Related to Katello - Bug #21382: Katello loads hosts controller before other ... Closed 10/18/2017

Blocked by Katello - Bug #20862: Katello overrides apipie definition for host... Closed 09/06/2017

Copied to OpenSCAP - Bug #20681: Host and Hostgroup API lacks ability to modi... Closed 09/08/2016

Associated revisions

Revision 330f4e1c - 09/13/2017 06:56 AM - Marek Hulán

Fixes #16490 - extend hostgroup and host API

Revision 1f57dafb - 09/14/2017 02:47 AM - Ondřej Pražák 

Merge pull request #282 from ares/fix/16490

Fixes #16490 - extend hostgroup and host API

History

#1 - 09/08/2016 08:31 AM - Marek Hulán

- Subject changed from API lacks ability to modify/specify hostgroup openscap capsule via API or hammer cli

 to API lacks ability to modify/specify hostgroup openscap capsule via API or hammer cli

- Target version set to 1.5.3

#2 - 09/21/2016 06:06 AM - Marek Hulán

- Blocked by Feature #16630: Need a way to extend existing apipie specification added
#3 - 09/29/2016 07:16 AM - Marek Hulán

- Target version changed from 1.5.3 to 1.5.0

#4 - 10/18/2016 10:32 AM - Marek Hulán

- Target version changed from 1.5.0 to 1.4.2

#5 - 11/08/2016 09:35 AM - Marek Hulán

- Target version changed from 1.4.2 to 1.4.4

#6 - 11/08/2016 09:39 AM - Marek Hulán

Ivan's team does not seem to have capacity atm, if someone from our team is familiar with apipie, we might start working on the patch ourselves.

#7 - 11/09/2016 07:04 AM - Marek Hulán

- Related to Feature #3763: Ability for engine/plugin to extend RABL responses added

#8 - 11/29/2016 08:27 AM - Marek Hulán

- Target version deleted (1.4.4)

#9 - 11/29/2016 08:27 AM - Marek Hulán

- Target version set to 115

#10 - 08/21/2017 10:31 AM - Marek Hulán

- Assignee set to Marek Hulán

- Target version changed from 115 to 1.18.0-RC2

Using http://projects.theforeman.org/projects/foreman/wiki/How_to_Create_a_Plugin#Adding-a-Smart-Proxy we are able to extend API.

#11 - 08/21/2017 10:31 AM - Marek Hulán

- Blocked by deleted (Feature #16630: Need a way to extend existing apipie specification)

#12 - 08/21/2017 10:31 AM - Marek Hulán

- Related to Feature #16630: Need a way to extend existing apipie specification added

#13 - 08/21/2017 10:38 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman_openscap/pull/282 added

#14 - 08/21/2017 10:48 AM - Marek Hulán

- Copied to Bug #20681: Host and Hostgroup API lacks ability to modify/specify openscap proxy via hammer cli added

#15 - 08/29/2017 05:57 AM - Marek Hulán

- Target version changed from 1.18.0-RC2 to 214

#16 - 09/06/2017 11:22 AM - Marek Hulán

- Blocked by Bug #20862: Katello overrides apipie definition for hostgroups added

#17 - 09/14/2017 02:59 AM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

- translation missing: en.field_release set to 298

#18 - 09/14/2017 02:52 PM - Marek Hulán

- translation missing: en.field_release changed from 298 to 299

#19 - 10/18/2017 02:27 PM - Marek Hulán

- Related to Bug #21382: Katello loads hosts controller before other plugins can extend the API added
